Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.wayf.idpdisco
Class UIInfoImpl

    java.lang.Object
      org.opensaml.xml.AbstractXMLObject
          org.opensaml.xml.validation.AbstractValidatingXMLObject
              org.opensaml.common.impl.AbstractSAMLObject
                  edu.internet2.middleware.shibboleth.wayf.idpdisco.UIInfoImpl

All Implemented Interfaces:
  UIInfo, org.opensaml.common.SAMLObject, org.opensaml.xml.validation.ValidatingXMLObject, org.opensaml.xml.XMLObject

    public class UIInfoImpl

extends org.opensaml.common.impl.AbstractSAMLObject
implements UIInfo

Concrete implementation of `UIInfo`.

Field Summary

Fields inherited from interface edu.internet2.middleware.shibboleth.wayf.idpdisco.UIInfo
`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, LANG_ATTRIB_NAME, MDUI_NS, MDUI_PREFIX`

Constructor Summary
`protected` | `UIInfoImpl(String namespaceURI, String elementLocalName, String namespacePrefix)` Constructor.

Method Summary
`List<Description>` | `getDescriptions()` Return the descriptions.
`List<DisplayName>` | `getDisplayNames()` Get the Display Names The element specifies a set of localized names fit for display to users.
`List<InformationURL>` | `getInformationURLs()` Get the URLs.
`List<Logo>` | `getLogos()` Get the logos.
`List<org.opensaml.xml.XMLObject>` | `getOrderedChildren()`
`List<PrivacyStatementURL>` | `getPrivacyStatementURLs()` Get the Privacy Statement URLs.

Methods inherited from class org.opensaml.common.impl.AbstractSAMLObject
`equals, prepareForAssignment`

Methods inherited from class org.opensaml.xml.validation.AbstractValidatingXMLObject
`deregisterValidator, getValidators, registerValidator, validate, validateChildren`

Methods inherited from class org.opensaml.xml.AbstractXMLObject
`addNamespace, detach, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, removeNamespace, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.opensaml.xml.validation.ValidatingXMLObject
`deregisterValidator, getValidators, registerValidator, validate`

Methods inherited from interface org.opensaml.xml.XMLObject
`addNamespace, detach, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, removeNamespace, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

Constructor Detail

### UIInfoImpl

    protected UIInfoImpl(String namespaceURI,
                         String elementLocalName,
                         String namespacePrefix)

  Constructor.

  Parameters:
    `namespaceURI` - namespaceURI
    `elementLocalName` - elementLocalName
    `namespacePrefix` - namespacePrefix

Method Detail

### getDescriptions

    public List<Description> getDescriptions()

  Return the descriptions. The element specifies a set of brief, localized descriptions fit for display to users. In the case of service providers this SHOULD be a description of the service being offered. In the case of an identity provider this SHOULD be a description of the community serviced. In all cases this text SHOULD be standalone, meaning it is not meant to be filled in to some template text (e.g. 'This service offers $description').

  Specified by:
    `getDescriptions` in interface `UIInfo`
  Returns:
    descriptions

### getDisplayNames

    public List<DisplayName> getDisplayNames()

  Get the Display Names The element specifies a set of localized names fit for display to users. Such names are meant to allow a user to distinguish and identify the entity acting in a particular role.

  Specified by:
    `getDisplayNames` in interface `UIInfo`
  Returns:
    the names

### getInformationURLs

    public List<InformationURL> getInformationURLs()

  Get the URLs. The specifies URLs to localized information, about the entity acting in a given role, meant to be viewed by users. The contents found at these URLs SHOULD give a more complete set of information about than what is provided by the element

  Specified by:
    `getInformationURLs` in interface `UIInfo`
  Returns:
    the URLs

### getLogos

    public List<Logo> getLogos()

  Get the logos. The element specifies a set of localized logos fit for display to users.

  Specified by:
    `getLogos` in interface `UIInfo`
  Returns:
    a list of logos

### getPrivacyStatementURLs

    public List<PrivacyStatementURL> getPrivacyStatementURLs()

  Get the Privacy Statement URLs. The specifies URLs to localized privacy statements. Such statements are meant to provide a user with information about how information will be used and managed by the entity

  Specified by:
    `getPrivacyStatementURLs` in interface `UIInfo`
  Returns:
    the URLs

### getOrderedChildren

    public List<org.opensaml.xml.XMLObject> getOrderedChildren()

  Specified by:
    `getOrderedChildren` in interface `org.opensaml.xml.XMLObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.